Subject: bug#6796: 24.0.50; crash - regression in build of 2010-08-02, modify-frame-parameters

From: "Drew Adams" <[email-masked]>
Date: Tue, 17 Aug 2010 11:37:46 -0700

> I cannot reproduce this, sorry.  I have 2 builds, one from Aug 8, the
> other one from Aug 14, and none of them crashes with your recipe.
> 
> One question, to be sure I did what you did: How did you invoke this
> line:
> 
>   (global-set-key [(control ?z)] 'iconify/map-frame)
> 
> I pasted it to *scratch* and then typed C-j after the right paren to
> evaluate it.

Yes, doing that way reproduces the crash.

But you must also do the following steps to get the crash.
Sorry that I forgot to mention them:

3. C-z
4. C-z

Step 3 thumbifies the frame. Step 4 should dethumbify it. C-z is a toggle to
replace iconify/map by thumbify/dethumbify.  Step 4 crashes Emacs.

Compare with a build of 7/19 or prior, to see the expected behavior.

Thx.